def parsen(user):
    step = user.split("!")
    nick = step[0]
    if len(step) == 2:
        step2 = step[1].split("@")
        if len(step2) == 2:
            ident, host = step2
        else:
            ident = nick
            host = nick
    else:
        ident = nick
        host = nick

    return (nick, ident, host)
